@import "animations/unleash.css";

:root {
  --anim-to-right-top: to-rt 2s infinite alternate;
  --anim-to-right-top-sm: to-rt-sm 2s infinite alternate;
  --anim-to-right-bot: to-rb 2s infinite alternate;
  --anim-to-right-bot-sm: to-rb-sm 2s infinite alternate;

  --anim-to-left-top: to-lt 2s infinite alternate;
  --anim-to-left-top-sm: to-lt-sm 2s infinite alternate;
  --anim-to-left-bot: to-lb 2s infinite alternate;
  --anim-to-left-bot-sm: to-lb-sm 2s infinite alternate;

  --anim-to-right: to-r 2s infinite alternate;
  --anim-to-right-sm: to-r-sm 2s infinite alternate;
  --anim-to-left: to-l 2s infinite alternate;
  --anim-to-left-sm: to-l-sm 2s infinite alternate;

  --anim-zoom: toucan-zoom 2s infinite alternate;
}

.unleash-wrapper {
  padding-top: 265px;
  padding-bottom: 110px;
  position: relative;
}

.unleash {
  display: flex;
  align-items: center;
  flex-direction: column;
  z-index: 1;
}

.unleash a {
  z-index: 1;
}

.unleash h2 {
  font-family: Poppins, sans-serif;
  font-weight: 900;
  color: #000;
  text-shadow: 5px 4px 0 #FED731;
  font-size: 45px;
  line-height: 127%;
  margin-bottom: 120px;
  z-index: 1;
}

.unleash-features {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-column-gap: 32px;
  align-self: stretch;
  margin-bottom: 70px;
  z-index: 1;
}

.unleash-features-item {
  padding: 50px;
  border-radius: 14px;
  background: rgba(255, 255, 255, 0.06);
  backdrop-filter: blur(46px);
  -webkit-backdrop-filter: blur(46px);
}

.unleash-features-item strong {
  font-weight: 700;
  color: var(--yellow-3);
}

.unleash-background {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: 0;
  top: 132px;
  width: 1440px;
}

.unleash-toucan {
  width: 70px;
  border-radius: 6px;
  position: absolute;
  animation: in-out-zoom 2s ease-in-out infinite alternate;
}

.t-791 {top: 0;left: -10px;animation: var(--anim-to-right-bot)}
.t-954 {top: 35px;left: 147px;animation: var(--anim-to-right-bot)}
.t-73 {top: 35px;left: 418px;animation: var(--anim-to-right-bot-sm)}
.t-788 {top: 147px;left: 112px;animation: var(--anim-to-right)}
.t-899-1 {top: 504px;left: 434px;animation: var(--anim-zoom)}
.t-200 {top: 201px;left: 250px;animation: var(--anim-to-right-top-sm)}
.t-265 {top: 166px;left: 363px;animation: var(--anim-to-right)}
.t-253 {top: 166px;left: 459px;animation: var(--anim-zoom)}
.t-731 {top: 271px;left: 535px;animation: var(--anim-zoom)}
.t-84 {top: 64px;left: 494px;animation: var(--anim-zoom)}
.t-254 {top: 179px;left: 535px;animation: var(--anim-zoom)}
.t-97 {top: 90px;left: 570px;animation: var(--anim-zoom)}
.t-266 {top: 166px;left: 611px;animation: var(--anim-zoom)}
.t-99 {top: 90px;left: 646px;animation: var(--anim-zoom)}
.t-386 {top: 170px;left: 686px;animation: var(--anim-zoom)}
.t-447-1 {top: 341px;left: 180px;animation: var(--anim-to-right-top)}
.t-296 {top: 166px;left: 839px;animation: var(--anim-zoom)}
.t-797-1 {top: 496px;left: 1214px;animation: var(--anim-to-left-top)}
.t-131 {top: 205px;left: 914px;animation: var(--anim-zoom)}
.t-519 {top: 166px;left: 991px;animation: var(--anim-zoom)}
.t-679-1 {top: 346px;left: 956px;animation: var(--anim-to-left-top)}
.t-195 {top: 50px;left: 950px;animation: var(--anim-zoom)}
.t-246 {top: 201px;left: 1138px;animation: var(--anim-to-left-top-sm)}
.t-559 {top: 35px;left: 1208px;animation: var(--anim-to-left-bot-sm)}
.t-989 {top: 121px;left: 1307px;animation: var(--anim-to-left)}
.t-985 {top: 0;right: 0;animation: var(--anim-to-left-bot)}
.t-815 {top: 236px;left: 1322px;animation: var(--anim-to-left-top-sm)}
.t-447-2 {top: 201px;left: 763px;animation: var(--anim-zoom)}
.t-899-2 {top: 236px;left: 51px;animation: var(--anim-to-right-top)}
.t-797-2 {top: 90px;left: 798px;animation: var(--anim-zoom)}
.t-679-2 {top: 90px;left: 1025px;animation: var(--anim-zoom)}
.t-679-3 {top: 77px;left: 342px;animation: var(--anim-zoom)}
.t-102 {top: 51px;left: 721px;animation: var(--anim-zoom)}
.t-153 {top: 90px;left: 873px;animation: var(--anim-zoom)}

/* MEDIA */

@media (max-width: 1023px) {
  .unleash-wrapper {
    padding-top: 190px;
    padding-bottom: 68px;
  }

  .unleash h2 {
    text-align: center;
    font-size: 27px;
    margin-bottom: 144px;
    text-shadow: 3px 3px 0 #FED731;
  }

  .unleash-background {
    top: 93px;
  }

  .unleash-background > img {
    opacity: .6;
    width: 66px;
  }

  .unleash-features {
    grid-template-columns: 1fr;
    grid-auto-rows: 1fr;
    grid-row-gap: 24px;
    margin-bottom: 50px;
  }
}